Loading...
Searching...
No Matches
ANNkd_tree Class Reference

`#include <ANN.h>`

## Detailed Description

Definition at line 684 of file ANN.h.

Inheritance diagram for ANNkd_tree:
[legend]

## Public Member Functions

| ANNkd_tree (ANNpointArray pa, int n, int dd, int bs=1, ANNsplitRule split=ANN_KD_SUGGEST)
| ANNkd_tree (int n=0, int dd=0, int bs=1)
| ANNkd_tree (std::istream &in)
int | annkFRSearch (ANNpoint q, ANNdist sqRad, int k, ANNidxArray nn_idx=NULL, ANNdistArray dd=NULL, double eps=0.0)
void | annkPriSearch (ANNpoint q, int k, ANNidxArray nn_idx, ANNdistArray dd, double eps=0.0)
void | annkSearch (ANNpoint q, int k, ANNidxArray nn_idx, ANNdistArray dd, double eps=0.0)
virtual void | Dump (ANNbool with_pts, std::ostream &out)
virtual void | getStats (ANNkdStats &st)
int | nPoints ()
virtual void | Print (ANNbool with_pts, std::ostream &out)
int | theDim ()
ANNpointArray | thePoints ()
| ~ANNkd_tree ()
Public Member Functions inherited from ANNpointSet
virtual | ~ANNpointSet ()

## Protected Member Functions

void | SkeletonTree (int n, int dd, int bs, ANNpointArray pa=NULL, ANNidxArray pi=NULL)

## Protected Attributes

int | bkt_size
ANNpoint | bnd_box_hi
ANNpoint | bnd_box_lo
int | dim
int | n_pts
ANNidxArray | pidx
ANNpointArray | pts
ANNkd_ptr | root

## Constructor & Destructor Documentation

## ANNkd_tree() [1/3]

ANNkd_tree::ANNkd_tree | ( | int | n = 0,
|  | int | dd = 0,
|  | int | bs = 1 )

## ANNkd_tree() [2/3]

ANNkd_tree::ANNkd_tree | ( | ANNpointArray | pa,
|  | int | n,
|  | int | dd,
|  | int | bs = 1,
|  | ANNsplitRule | split = ANN_KD_SUGGEST )

## ANNkd_tree() [3/3]

ANNkd_tree::ANNkd_tree | ( | std::istream & | in | ) |

## ~ANNkd_tree()

ANNkd_tree::~ANNkd_tree | ( |  | ) |

## Member Function Documentation

## annkFRSearch()

int ANNkd_tree::annkFRSearch | ( | ANNpoint | q,
|  | ANNdist | sqRad,
|  | int | k,
|  | ANNidxArray | nn_idx = NULL,
|  | ANNdistArray | dd = NULL,
|  | double | eps = 0.0 )

virtual

Implements ANNpointSet.

## annkPriSearch()

void ANNkd_tree::annkPriSearch | ( | ANNpoint | q,
|  | int | k,
|  | ANNidxArray | nn_idx,
|  | ANNdistArray | dd,
|  | double | eps = 0.0 )

## annkSearch()

void ANNkd_tree::annkSearch | ( | ANNpoint | q,
|  | int | k,
|  | ANNidxArray | nn_idx,
|  | ANNdistArray | dd,
|  | double | eps = 0.0 )

virtual

Implements ANNpointSet.

## Dump()

virtual void ANNkd_tree::Dump | ( | ANNbool | with_pts,
|  | std::ostream & | out )

virtual

## getStats()

virtual void ANNkd_tree::getStats | ( | ANNkdStats & | st | ) |

virtual

## nPoints()

int ANNkd_tree::nPoints | ( |  | ) |

inline virtual

Implements ANNpointSet.

Definition at line 745 of file ANN.h.

## Print()

virtual void ANNkd_tree::Print | ( | ANNbool | with_pts,
|  | std::ostream & | out )

virtual

## SkeletonTree()

void ANNkd_tree::SkeletonTree | ( | int | n,
|  | int | dd,
|  | int | bs,
|  | ANNpointArray | pa = NULL,
|  | ANNidxArray | pi = NULL )

protected

## theDim()

int ANNkd_tree::theDim | ( |  | ) |

inline virtual

Implements ANNpointSet.

Definition at line 742 of file ANN.h.

## thePoints()

ANNpointArray ANNkd_tree::thePoints | ( |  | ) |

inline virtual

Implements ANNpointSet.

Definition at line 748 of file ANN.h.

## Field Documentation

## bkt_size

int ANNkd_tree::bkt_size

protected

Definition at line 688 of file ANN.h.

## bnd_box_hi

ANNpoint ANNkd_tree::bnd_box_hi

protected

Definition at line 693 of file ANN.h.

## bnd_box_lo

ANNpoint ANNkd_tree::bnd_box_lo

protected

Definition at line 692 of file ANN.h.

## dim

int ANNkd_tree::dim

protected

Definition at line 686 of file ANN.h.

## n_pts

int ANNkd_tree::n_pts

protected

Definition at line 687 of file ANN.h.

## pidx

ANNidxArray ANNkd_tree::pidx

protected

Definition at line 690 of file ANN.h.

## pts

ANNpointArray ANNkd_tree::pts

protected

Definition at line 689 of file ANN.h.

## root

ANNkd_ptr ANNkd_tree::root

protected

Definition at line 691 of file ANN.h.

Generated on 1768596610 for elastix by 1.15.0 |